Index: /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/StringUtils.cc	(revision 10821)
@@ -262,7 +262,7 @@
         std::string output(str.size() * 2, ' ');
         size_t i = 0;
-        for (size_t pos = 0; pos < str.size(); ++pos)
-        {
-            switch (str[pos])
+        for (auto & elem : str)
+        {
+            switch (elem)
             {
             case '\\': output[i] = '\\'; output[i + 1] = '\\'; break;
@@ -276,5 +276,5 @@
             case  '"': output[i] = '\\'; output[i + 1] =  '"'; break;
             case '\0': output[i] = '\\'; output[i + 1] =  '0'; break;
-            default  : output[i] = str[pos]; ++i; continue;
+            default  : output[i] = elem; ++i; continue;
             }
             i += 2;
@@ -336,7 +336,7 @@
     void lowercase(std::string* str)
     {
-        for (size_t i = 0; i < str->size(); ++i)
-        {
-            (*str)[i] = static_cast<char>(tolower((*str)[i]));
+        for (auto & elem : *str)
+        {
+            elem = static_cast<char>(tolower(elem));
         }
     }
@@ -353,7 +353,7 @@
     void uppercase(std::string* str)
     {
-        for (size_t i = 0; i < str->size(); ++i)
-        {
-            (*str)[i] = static_cast<char>(toupper((*str)[i]));
+        for (auto & elem : *str)
+        {
+            elem = static_cast<char>(toupper(elem));
         }
     }
@@ -460,9 +460,9 @@
     {
         size_t j = 0;
-        for (size_t i = 0; i < str.size(); ++i)
-        {
-            if (str[i] == target)
+        for (auto & elem : str)
+        {
+            if (elem == target)
             {
-                str[i] = replacement;
+                elem = replacement;
                 ++j;
             }
Index: /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/output/BaseWriter.cc	(revision 10821)
@@ -116,7 +116,7 @@
 
         // iterate over all strings in the config-vector
-        for (size_t i = 0; i < this->configurableAdditionalContexts_.size(); ++i)
+        for (auto & full_name : this->configurableAdditionalContexts_)
         {
-            const std::string& full_name = this->configurableAdditionalContexts_[i];
+            
 
             // split the name into main-name and sub-name (if given; otherwise sub-name remains empty). both names are separated by ::
Index: /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.cc	(revision 10821)
@@ -65,7 +65,7 @@
     void MemoryWriter::resendOutput(OutputListener* listener) const
     {
-        for (size_t i = 0; i < this->messages_.size(); ++i)
+        for (auto & message : this->messages_)
         {
-            const Message& message = this->messages_[i];
+            
             listener->unfilteredOutput(message.level, *message.context, message.lines);
         }
Index: /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/output/OutputListener.cc	(revision 10821)
@@ -111,6 +111,6 @@
         this->levelMask_ = mask;
 
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            this->listeners_[i]->updatedLevelMask(this);
+        for (auto & elem : this->listeners_)
+            elem->updatedLevelMask(this);
     }
 
@@ -142,6 +142,6 @@
         this->additionalContextsLevelMask_ = mask;
 
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            this->listeners_[i]->updatedAdditionalContextsLevelMask(this);
+        for (auto & elem : this->listeners_)
+            elem->updatedAdditionalContextsLevelMask(this);
     }
 
@@ -153,6 +153,6 @@
         this->additionalContextsMask_ = mask;
 
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            this->listeners_[i]->updatedAdditionalContextsMask(this);
+        for (auto & elem : this->listeners_)
+            elem->updatedAdditionalContextsMask(this);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.cc	(revision 10821)
@@ -132,6 +132,6 @@
         vectorize(message, '\n', &lines);
 
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            this->listeners_[i]->unfilteredOutput(level, context, lines);
+        for (auto & elem : this->listeners_)
+            elem->unfilteredOutput(level, context, lines);
     }
 
@@ -179,6 +179,6 @@
     {
         int mask = 0;
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            mask |= this->listeners_[i]->getLevelMask();
+        for (auto & elem : this->listeners_)
+            mask |= elem->getLevelMask();
         this->combinedLevelMask_ = static_cast<OutputLevel>(mask);
     }
@@ -190,6 +190,6 @@
     {
         int mask = 0;
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            mask |= this->listeners_[i]->getAdditionalContextsLevelMask();
+        for (auto & elem : this->listeners_)
+            mask |= elem->getAdditionalContextsLevelMask();
         this->combinedAdditionalContextsLevelMask_ = static_cast<OutputLevel>(mask);
     }
@@ -201,6 +201,6 @@
     {
         this->combinedAdditionalContextsMask_ = 0;
-        for (size_t i = 0; i < this->listeners_.size(); ++i)
-            this->combinedAdditionalContextsMask_ |= this->listeners_[i]->getAdditionalContextsMask();
+        for (auto & elem : this->listeners_)
+            this->combinedAdditionalContextsMask_ |= elem->getAdditionalContextsMask();
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/libraries/util/output/SubcontextOutputListener.cc	(revision 10821)
@@ -79,8 +79,8 @@
 
         // compose the mask of subcontexts and build the set of sub-context-IDs
-        for (std::set<const OutputContextContainer*>::const_iterator it = subcontexts.begin(); it != subcontexts.end(); ++it)
+        for (const auto & subcontext : subcontexts)
         {
-            this->subcontextsCheckMask_ |= (*it)->mask;
-            this->subcontexts_.insert((*it)->sub_id);
+            this->subcontextsCheckMask_ |= (subcontext)->mask;
+            this->subcontexts_.insert((subcontext)->sub_id);
         }
 
Index: /code/branches/cpp11_v2/src/modules/docking/Dock.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10821)
@@ -327,8 +327,8 @@
     const DockingEffect* Dock::getEffect(unsigned int i) const
     {
-        for (std::list<DockingEffect*>::const_iterator effect = this->effects_.begin(); effect != this->effects_.end(); ++effect)
+        for (const auto & elem : this->effects_)
         {
             if(i == 0)
-               return *effect;
+               return elem;
             i--;
         }
@@ -346,8 +346,8 @@
     const DockingAnimation* Dock::getAnimation(unsigned int i) const
     {
-        for (std::list<DockingAnimation*>::const_iterator animation = this->animations_.begin(); animation != this->animations_.end(); ++animation)
+        for (const auto & elem : this->animations_)
         {
             if(i == 0)
-               return *animation;
+               return elem;
             i--;
         }
Index: /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10821)
@@ -57,10 +57,10 @@
         bool check = true;
 
-        for (std::list<DockingAnimation*>::iterator animation = animations.begin(); animation != animations.end(); animation++)
+        for (auto & animations_animation : animations)
         {
             if(dock)
-                check &= (*animation)->docking(player);
+                check &= (animations_animation)->docking(player);
             else
-                check &= (*animation)->release(player);
+                check &= (animations_animation)->release(player);
         }
 
Index: /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10821)
@@ -53,10 +53,10 @@
         bool check = true;
 
-        for (std::list<DockingEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
+        for (auto & effects_effect : effects)
         {
             if (dock)
-                check &= (*effect)->docking(player);
+                check &= (effects_effect)->docking(player);
             else
-                check &= (*effect)->release(player);
+                check &= (effects_effect)->release(player);
         }
 
Index: /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 10821)
@@ -146,11 +146,11 @@
     {
         Vector3 checkpoints(-1,-1,-1); int count=0;
-        for (std::set<int>::iterator it= nextCheckpoints_.begin();it!=nextCheckpoints_.end(); it++ )
+        for (const auto & elem : nextCheckpoints_)
         {
             switch (count)
             {
-                case 0: checkpoints.x = static_cast<Ogre::Real>(*it); break;
-                case 1: checkpoints.y = static_cast<Ogre::Real>(*it); break;
-                case 2: checkpoints.z = static_cast<Ogre::Real>(*it); break;
+                case 0: checkpoints.x = static_cast<Ogre::Real>(elem); break;
+                case 1: checkpoints.y = static_cast<Ogre::Real>(elem); break;
+                case 2: checkpoints.z = static_cast<Ogre::Real>(elem); break;
             }
             ++count;
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10821)
@@ -154,16 +154,16 @@
     {
         std::map<RaceCheckPoint*, int> zaehler; // counts how many times the checkpoint was reached (for simulation)
-        for (unsigned int i = 0; i < allCheckpoints.size(); i++)
-        {
-            zaehler.insert(std::pair<RaceCheckPoint*, int>(allCheckpoints[i],0));
+        for (auto & allCheckpoint : allCheckpoints)
+        {
+            zaehler.insert(std::pair<RaceCheckPoint*, int>(allCheckpoint,0));
         }
         int maxWays = rekSimulationCheckpointsReached(currentCheckpoint, zaehler);
 
         std::vector<RaceCheckPoint*> returnVec;
-        for (std::map<RaceCheckPoint*, int>::iterator iter = zaehler.begin(); iter != zaehler.end(); iter++)
-        {
-            if (iter->second == maxWays)
-            {
-                returnVec.push_back(iter->first);
+        for (auto & elem : zaehler)
+        {
+            if (elem.second == maxWays)
+            {
+                returnVec.push_back(elem.first);
             }
         }
@@ -226,7 +226,7 @@
 
         // find the next checkpoint with the minimal distance
-        for (std::set<int>::iterator it = raceCheckpoint->getNextCheckpoints().begin(); it != raceCheckpoint->getNextCheckpoints().end(); ++it)
-        {
-            RaceCheckPoint* nextRaceCheckPoint = findCheckpoint(*it);
+        for (auto elem : raceCheckpoint->getNextCheckpoints())
+        {
+            RaceCheckPoint* nextRaceCheckPoint = findCheckpoint(elem);
             float distance = recCalculateDistance(nextRaceCheckPoint, this->getControllableEntity()->getPosition());
 
@@ -289,7 +289,7 @@
     RaceCheckPoint* SpaceRaceController::findCheckpoint(int index) const
     {
-        for (size_t i = 0; i < this->checkpoints_.size(); ++i)
-            if (this->checkpoints_[i]->getCheckpointIndex() == index)
-                return this->checkpoints_[i];
+        for (auto & elem : this->checkpoints_)
+            if (elem->getCheckpointIndex() == index)
+                return elem;
         return nullptr;
     }
@@ -414,9 +414,9 @@
         btScalar radiusObject;
 
-        for (std::vector<StaticEntity*>::const_iterator it = allObjects.begin(); it != allObjects.end(); ++it)
-        {
-            for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
-            {
-                btCollisionShape* currentShape = (*it)->getAttachedCollisionShape(everyShape)->getCollisionShape();
+        for (const auto & allObject : allObjects)
+        {
+            for (int everyShape=0; (allObject)->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
+            {
+                btCollisionShape* currentShape = (allObject)->getAttachedCollisionShape(everyShape)->getCollisionShape();
                 if(currentShape == nullptr)
                 continue;
Index: /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10821)
@@ -54,6 +54,6 @@
     SpaceRaceManager::~SpaceRaceManager()
     {
-        for (size_t i = 0; i < this->checkpoints_.size(); ++i)
-        this->checkpoints_[i]->destroy();
+        for (auto & elem : this->checkpoints_)
+        elem->destroy();
     }
 
@@ -77,11 +77,11 @@
         }
 
-        for ( std::map< PlayerInfo*, Player>::iterator it = players_.begin(); it != players_.end(); ++it)
+        for (auto & elem : players_)
         {
 
-            for (size_t i = 0; i < this->checkpoints_.size(); ++i)
+            for (auto & _i : this->checkpoints_)
             {
-                if (this->checkpoints_[i]->playerWasHere(it->first)){
-                this->checkpointReached(this->checkpoints_[i], it->first /*this->checkpoints_[i]->getPlayer()*/);
+                if (_i->playerWasHere(elem.first)){
+                this->checkpointReached(_i, elem.first /*this->checkpoints_[i]->getPlayer()*/);
                 }
             }
@@ -113,7 +113,7 @@
     RaceCheckPoint* SpaceRaceManager::findCheckpoint(int index) const
     {
-        for (size_t i = 0; i < this->checkpoints_.size(); ++i)
-        if (this->checkpoints_[i]->getCheckpointIndex() == index)
-        return this->checkpoints_[i];
+        for (auto & elem : this->checkpoints_)
+        if (elem->getCheckpointIndex() == index)
+        return elem;
         return nullptr;
     }
@@ -125,6 +125,6 @@
             // the player already visited an old checkpoint; see which checkpoints are possible now
             const std::set<int>& possibleCheckpoints = oldCheckpoint->getNextCheckpoints();
-            for (std::set<int>::const_iterator it = possibleCheckpoints.begin(); it != possibleCheckpoints.end(); ++it)
-            if (this->findCheckpoint(*it) == newCheckpoint)
+            for (const auto & possibleCheckpoint : possibleCheckpoints)
+            if (this->findCheckpoint(possibleCheckpoint) == newCheckpoint)
             return true;
             return false;
@@ -179,6 +179,6 @@
         {
             const std::set<int>& oldVisible = oldCheckpoint->getNextCheckpoints();
-            for (std::set<int>::const_iterator it = oldVisible.begin(); it != oldVisible.end(); ++it)
-            this->findCheckpoint(*it)->setRadarVisibility(false);
+            for (const auto & elem : oldVisible)
+            this->findCheckpoint(elem)->setRadarVisibility(false);
         }
 
@@ -188,6 +188,6 @@
 
             const std::set<int>& newVisible = newCheckpoint->getNextCheckpoints();
-            for (std::set<int>::const_iterator it = newVisible.begin(); it != newVisible.end(); ++it)
-            this->findCheckpoint(*it)->setRadarVisibility(true);
+            for (const auto & elem : newVisible)
+            this->findCheckpoint(elem)->setRadarVisibility(true);
         }
     }
Index: /code/branches/cpp11_v2/src/modules/jump/Jump.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10821)
@@ -633,10 +633,10 @@
 
 
-        for (int i = 0; i < numI; ++i)
+        for (auto & elem : matrix)
         {
             for (int j = 0; j < numJ; ++j)
             {
-                matrix[i][j].type = PLATFORM_EMPTY;
-                matrix[i][j].done = false;
+                elem[j].type = PLATFORM_EMPTY;
+                elem[j].done = false;
             }
         }
@@ -795,5 +795,5 @@
 
         // Fill matrix with selected platform types
-        for (int i = 0; i < numI; ++ i)
+        for (auto & elem : matrix)
         {
             for (int j = 0; j < numJ; ++ j)
@@ -801,11 +801,11 @@
                 if (rand()%3 == 0)
                 {
-                    matrix[i][j].type = platformtype1;
+                    elem[j].type = platformtype1;
                 }
                 else
                 {
-                    matrix[i][j].type = platformtype2;
+                    elem[j].type = platformtype2;
                 }
-                matrix[i][j].done = false;
+                elem[j].done = false;
             }
         }
Index: /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10821)
@@ -155,11 +155,11 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (auto & elem : this->players_)
+            if (elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(elem.first);
         // now spawn bots
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (!it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (auto & elem : this->players_)
+            if (!elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(elem.first);
     }
 
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10821)
@@ -69,6 +69,6 @@
     {
         // Destroys all Notifications.
-        for(std::multimap<std::time_t, Notification*>::iterator it = this->allNotificationsList_.begin(); it!= this->allNotificationsList_.end(); it++)
-            it->second->destroy();
+        for(auto & elem : this->allNotificationsList_)
+            elem.second->destroy();
         this->allNotificationsList_.clear();
 
@@ -152,10 +152,10 @@
         bool executed = false;
         // Clear all NotificationQueues that have the input sender as target.
-        for(std::map<const std::string, NotificationQueue*>::iterator it = this->queues_.begin(); it != this->queues_.end(); it++) // Iterate through all NotificationQueues.
-        {
-            const std::set<std::string>& set = it->second->getTargetsSet();
+        for(auto & elem : this->queues_) // Iterate through all NotificationQueues.
+        {
+            const std::set<std::string>& set = elem.second->getTargetsSet();
             // If either the sender is 'all', the NotificationQueue has as target all or the NotificationQueue has the input sender as a target.
             if(all || set.find(NotificationListener::ALL) != set.end() || set.find(sender) != set.end())
-                executed = it->second->tidy() || executed;
+                executed = elem.second->tidy() || executed;
         }
 
@@ -187,7 +187,7 @@
 
         // Insert the Notification in all NotificationQueues that have its sender as target.
-        for(std::map<const std::string, NotificationQueue*>::iterator it = this->queues_.begin(); it != this->queues_.end(); it++) // Iterate through all NotificationQueues.
-        {
-            const std::set<std::string>& set = it->second->getTargetsSet();
+        for(auto & elem : this->queues_) // Iterate through all NotificationQueues.
+        {
+            const std::set<std::string>& set = elem.second->getTargetsSet();
             bool bAll = set.find(NotificationListener::ALL) != set.end();
             // If either the Notification has as sender 'all', the NotificationQueue displays all Notifications or the NotificationQueue has the sender of the Notification as target.
@@ -195,6 +195,6 @@
             {
                 if(!bAll)
-                    this->notificationLists_[it->second->getName()]->insert(std::pair<std::time_t, Notification*>(time, notification)); // Insert the Notification in the notifications list of the current NotificationQueue.
-                it->second->update(notification, time); // Update the NotificationQueue.
+                    this->notificationLists_[elem.second->getName()]->insert(std::pair<std::time_t, Notification*>(time, notification)); // Insert the Notification in the notifications list of the current NotificationQueue.
+                elem.second->update(notification, time); // Update the NotificationQueue.
             }
         }
@@ -345,8 +345,8 @@
 
         // Iterate through all Notifications to determine whether any of them should belong to the newly registered NotificationQueue.
-        for(std::multimap<std::time_t, Notification*>::iterator it = this->allNotificationsList_.begin(); it != this->allNotificationsList_.end(); it++)
-        {
-            if(!bAll && set.find(it->second->getSender()) != set.end()) // Checks whether the listener has the sender of the current Notification as target.
-                map->insert(std::pair<std::time_t, Notification*>(it->first, it->second));
+        for(auto & elem : this->allNotificationsList_)
+        {
+            if(!bAll && set.find(elem.second->getSender()) != set.end()) // Checks whether the listener has the sender of the current Notification as target.
+                map->insert(std::pair<std::time_t, Notification*>(elem.first, elem.second));
         }
 
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10821)
@@ -206,8 +206,8 @@
         {
             // Add all Notifications that have been created after this NotificationQueue was created.
-            for(std::multimap<std::time_t, Notification*>::iterator it = notifications->begin(); it != notifications->end(); it++)
+            for(auto & notification : *notifications)
             {
-                if(it->first >= this->creationTime_)
-                    this->push(it->second, it->first);
+                if(notification.first >= this->creationTime_)
+                    this->push(notification.second, notification.first);
             }
         }
@@ -336,6 +336,6 @@
         this->ordering_.clear();
         // Delete all NotificationContainers in the list.
-        for(std::vector<NotificationContainer*>::iterator it = this->notifications_.begin(); it != this->notifications_.end(); it++)
-            delete *it;
+        for(auto & elem : this->notifications_)
+            delete elem;
 
         this->notifications_.clear();
@@ -426,5 +426,5 @@
         bool first = true;
         // Iterate through the set of targets.
-        for(std::set<std::string>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
+        for(const auto & elem : this->targets_)
         {
             if(!first)
@@ -432,5 +432,5 @@
             else
                 first = false;
-            stream << *it;
+            stream << elem;
         }
 
Index: /code/branches/cpp11_v2/src/modules/objects/Attacher.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10821)
@@ -61,6 +61,6 @@
         SUPER(Attacher, changedActivity);
 
-        for (std::list<WorldEntity*>::iterator it = this->objects_.begin(); it != this->objects_.end(); ++it)
-            (*it)->setActive(this->isActive());
+        for (auto & elem : this->objects_)
+            (elem)->setActive(this->isActive());
     }
 
@@ -69,6 +69,6 @@
         SUPER(Attacher, changedVisibility);
 
-        for (std::list<WorldEntity*>::iterator it = this->objects_.begin(); it != this->objects_.end(); ++it)
-            (*it)->setVisible(this->isVisible());
+        for (auto & elem : this->objects_)
+            (elem)->setVisible(this->isVisible());
     }
 
@@ -83,8 +83,8 @@
     {
         unsigned int i = 0;
-        for (std::list<WorldEntity*>::const_iterator it = this->objects_.begin(); it != this->objects_.end(); ++it)
+        for (const auto & elem : this->objects_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
 
             ++i;
Index: /code/branches/cpp11_v2/src/modules/objects/Script.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/Script.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/Script.cc	(revision 10821)
@@ -196,7 +196,7 @@
             {
                 const std::map<unsigned int, PlayerInfo*> clients = PlayerManager::getInstance().getClients();
-                for(std::map<unsigned int, PlayerInfo*>::const_iterator it = clients.begin(); it != clients.end(); it++)
+                for(const auto & client : clients)
                 {
-                    callStaticNetworkFunction(&Script::executeHelper, it->first, this->getCode(), this->getMode(), this->getNeedsGraphics());
+                    callStaticNetworkFunction(&Script::executeHelper, client.first, this->getCode(), this->getMode(), this->getNeedsGraphics());
                     if(this->times_ != Script::INF) // Decrement the number of remaining executions.
                     {
Index: /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc	(revision 10821)
@@ -59,9 +59,9 @@
             this->pawnsIn_.clear();
 
-            for( std::vector<BillboardAdministration>::iterator current = this->billboards_.begin(); current != this->billboards_.end(); current++)
+            for(auto & elem : this->billboards_)
             {
-                if( current->billy != nullptr)
-                {
-                    delete current->billy;
+                if( elem.billy != nullptr)
+                {
+                    delete elem.billy;
                 }
             }
@@ -138,8 +138,8 @@
     void SpaceBoundaries::removeAllBillboards()
     {
-        for( std::vector<BillboardAdministration>::iterator current = this->billboards_.begin(); current != this->billboards_.end(); current++ )
-        {
-            current->usedYet = false;
-            current->billy->setVisible(false);
+        for(auto & elem : this->billboards_)
+        {
+            elem.usedYet = false;
+            elem.billy->setVisible(false);
         }
     }
@@ -208,7 +208,7 @@
         float distance;
         bool humanItem;
-        for( std::list<WeakPtr<Pawn>>::iterator current = pawnsIn_.begin(); current != pawnsIn_.end(); current++ )
-        {
-            Pawn* currentPawn = *current;
+        for(auto currentPawn : pawnsIn_)
+        {
+            
             if( currentPawn && currentPawn->getNode() ) 
             {
Index: /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10820)
+++ /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10821)
@@ -45,6 +45,6 @@
     {
         if (this->isInitialized())
-            for (std::list<BaseObject*>::iterator it = this->targets_.begin(); it != this->targets_.end(); ++it)
-                (*it)->destroy();
+            for (auto & elem : this->targets_)
+                (elem)->destroy();
     }
 
@@ -61,6 +61,6 @@
     void EventDispatcher::processEvent(Event& event)
     {
-        for (std::list<BaseObject*>::iterator it = this->targets_.begin(); it != this->targets_.end(); ++it)
-            (*it)->processEvent(event);
+        for (auto & elem : this->targets_)
+            (elem)->processEvent(event);
     }
 
@@ -73,8 +73,8 @@
     {
         unsigned int i = 0;
-        for (std::list<BaseObject*>::const_iterator it = this->targets_.begin(); it != this->targets_.end(); ++it)
+        for (const auto & elem : this->targets_)
         {
             if (i == index)
-                return (*it);
+                return (elem);
             ++i;
         }
